メインコンテンツへスキップ
POST
/
crm
/
associations
/
2026-03
/
{fromObjectType}
/
{toObjectType}
/
batch
/
create
レコードを関連付け(ラベル付き)
curl --request POST \
  --url https://api.hubapi.com/crm/associations/2026-03/{fromObjectType}/{toObjectType}/batch/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "from": {
        "id": "<string>"
      },
      "to": {
        "id": "<string>"
      },
      "types": [
        {
          "associationCategory": "HUBSPOT_DEFINED",
          "associationTypeId": 123
        }
      ]
    }
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "fromObjectId": "<string>",
      "fromObjectTypeId": "<string>",
      "labels": [
        "<string>"
      ],
      "toObjectId": "<string>",
      "toObjectTypeId": "<string>"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

fromObjectType
string
必須

関連付け元オブジェクトのタイプ

toObjectType
string
必須

関連付け先オブジェクトのタイプ

ボディ

application/json
inputs
object[]
必須

レスポンス

successful operation

completedAt
string<date-time>
必須

バッチ処理が完了した時点のタイムスタンプ(ISO 8601形式)。

results
object[]
必須
startedAt
string<date-time>
必須

バッチ処理が開始された時点のタイムスタンプ(ISO 8601形式)。

status
enum<string>
必須

バッチ処理リクエストのステータス:「PENDING」、「PROCESSING」、「CANCELLED」、または「COMPLETE」。

利用可能なオプション:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

バッチリクエストに関連する、関連性の高いリンクを含むオブジェクト。

requestedAt
string<date-time>

バッチ要求が最初に行われた時点のタイムスタンプ(ISO 8601形式)。

Last modified on April 13, 2026